# Created by pyp2rpm-3.3.2

%global pypi_name notify2

Name:           python-%{pypi_name}
Version:        0.3.1
Release:        %mkrel 8
Summary:        Python interface to DBus notifications
Group:          Development/Python
License:        BSD
URL:            https://bitbucket.org/takluyver/pynotify2
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
This is a pure-python replacement for notify-python, using python-dbus
to communicate with the notifications server directly.

It's compatible with Python 2 and 3, and its callbacks can work with
Gtk or Qt applications.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
# Requires aren't properly stated for dbus-python, so they aren't generated properly
Requires:       python3-dbus

%description -n python3-%{pypi_name}
This is a pure-python replacement for notify-python, using python-dbus
to communicate with the notifications server directly.

It's compatible with Python 2 and 3, and its callbacks can work with
Gtk or Qt applications.

%package -n python-%{pypi_name}-doc
Summary:        notify2 documentation
%description -n python-%{pypi_name}-doc
Documentation for notify2

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license docs/license.rst LICENSE
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license docs/license.rst LICENSE



%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.3.1-8.mga9
+ Revision: 1832818
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 0.3.1-7.mga9
+ Revision: 1782975
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.3.1-6.mga9
+ Revision: 1732365
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.3.1-5.mga8
+ Revision: 1535858
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.3.1-4.mga8
+ Revision: 1452778
- rebuild with python 3.8

* Fri Apr 26 2019 ngompa <ngompa> 0.3.1-3.mga7
+ Revision: 1395537
- Adapt for Mageia
- imported package python-notify2


* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Dec 16 2018 Neal Gompa <ngompa13@gmail.com> - 0.3.1-1
- Initial packaging for Fedora (#1659833)
